Skip to main content
POST
Rename Session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Session ID to rename

Query Parameters

type
enum<string>
default:agent

Session type (agent, team, or workflow)

Available options:
agent,
team,
workflow
user_id
string | null

User ID to scope rename to

db_id
string | null

Database ID to use for rename operation

table
string | null

Table to use for rename operation

Body

application/json
session_name
string
required

New name for the session

Response

Session renamed successfully

agent_session_id
string
required

Unique agent session identifier

session_id
string
required

Session identifier

session_name
string
required

Human-readable session name

user_id
string | null

User ID associated with the session

session_summary
Session Summary · object | null

Summary of session interactions

session_state
Session State · object | null

Current state of the session

agent_id
string | null

Agent ID used in this session

total_tokens
integer | null

Total tokens used in this session

agent_data
Agent Data · object | null

Agent-specific data

metrics
Metrics · object | null

Session metrics

metadata
Metadata · object | null

Additional metadata

chat_history
Chat History · object[] | null

Complete chat history

created_at
string<date-time> | null

Session creation timestamp

updated_at
string<date-time> | null

Last update timestamp